function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["type", "ghost", "colored", "prefixCls", "className"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useContext } from 'react';
import { Alert as AntAlert } from 'antd';
import { CheckCircleOutlined, CloseCircleOutlined, ExclamationCircleOutlined, InfoCircleOutlined } from '@oceanbase/icons';
import classNames from 'classnames';
import ConfigProvider from "../config-provider";
import useStyle from "./style";
import { jsx as _jsx } from "react/jsx-runtime";
export * from 'antd/es/alert';
var iconMapOutlined = {
  success: /*#__PURE__*/_jsx(CheckCircleOutlined, {}),
  info: /*#__PURE__*/_jsx(InfoCircleOutlined, {}),
  error: /*#__PURE__*/_jsx(CloseCircleOutlined, {}),
  warning: /*#__PURE__*/_jsx(ExclamationCircleOutlined, {})
};
var Alert = function Alert(_ref) {
  var type = _ref.type,
    ghost = _ref.ghost,
    colored = _ref.colored,
    customizePrefixCls = _ref.prefixCls,
    className = _ref.className,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var _useContext = useContext(ConfigProvider.ConfigContext),
    getPrefixCls = _useContext.getPrefixCls;
  var prefixCls = getPrefixCls('alert', customizePrefixCls);
  var _useStyle = useStyle(prefixCls),
    wrapSSR = _useStyle.wrapSSR;
  var alertCls = classNames(_defineProperty(_defineProperty({}, "".concat(prefixCls, "-ghost"), ghost), "".concat(prefixCls, "-colored"), colored), className);
  return wrapSSR( /*#__PURE__*/_jsx(AntAlert, _objectSpread({
    type: type,
    icon: iconMapOutlined[type],
    prefixCls: customizePrefixCls,
    className: alertCls
  }, restProps)));
};
Alert.ErrorBoundary = AntAlert.ErrorBoundary;
if (process.env.NODE_ENV !== 'production') {
  Alert.displayName = AntAlert.displayName;
}
export default Alert;