function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["prefixCls", "className", "status", "text", "icon"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useContext } from 'react';
import { Badge as AntBadge } from 'antd';
import { CloseCircleFilled, CheckCircleFilled, Loading3QuartersOutlined, MinusCircleFilled, EllipsisCircleFilled } from '@oceanbase/icons';
import classNames from 'classnames';
import ConfigProvider from "../config-provider";
import useStyle from "./style";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
export * from 'antd/es/badge';
var Badge = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var customizePrefixCls = _ref.prefixCls,
    className = _ref.className,
    status = _ref.status,
    text = _ref.text,
    icon = _ref.icon,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var _useContext = useContext(ConfigProvider.ConfigContext),
    getPrefixCls = _useContext.getPrefixCls,
    iconPrefixCls = _useContext.iconPrefixCls;
  var prefixCls = getPrefixCls('badge', customizePrefixCls);
  var _useStyle = useStyle(prefixCls),
    wrapSSR = _useStyle.wrapSSR,
    hashId = _useStyle.hashId;
  var iconMap = {
    default: /*#__PURE__*/_jsx(MinusCircleFilled, {
      rotate: 45
    }),
    processing: /*#__PURE__*/_jsx(Loading3QuartersOutlined, {
      style: {
        display: 'inline-block'
      },
      className: "".concat(iconPrefixCls, "-spin")
    }),
    success: /*#__PURE__*/_jsx(CheckCircleFilled, {}),
    error: /*#__PURE__*/_jsx(CloseCircleFilled, {}),
    warning: /*#__PURE__*/_jsx(EllipsisCircleFilled, {})
  };
  return wrapSSR( /*#__PURE__*/_jsx(_Fragment, {
    children: status && icon ? /*#__PURE__*/_jsxs("span", _objectSpread(_objectSpread({
      ref: ref
      // should add prefixCls as part of className to make style work
      ,
      className: classNames(prefixCls, "".concat(prefixCls, "-status"), className, hashId),
      style: {
        display: 'inline-block'
      }
    }, restProps), {}, {
      children: [/*#__PURE__*/_jsx("span", {
        className: classNames("".concat(prefixCls, "-status-icon"), "".concat(prefixCls, "-status-").concat(status)),
        children: /*#__PURE__*/React.isValidElement(icon) ? icon : iconMap[status]
      }), text && /*#__PURE__*/_jsx("span", {
        className: "".concat(prefixCls, "-status-text"),
        children: text
      })]
    })) : /*#__PURE__*/_jsx(AntBadge, _objectSpread({
      ref: ref,
      prefixCls: customizePrefixCls,
      className: className,
      status: status,
      text: text
    }, restProps))
  }));
});
if (process.env.NODE_ENV !== 'production') {
  Badge.displayName = AntBadge.displayName;
}
export default Object.assign(Badge, {
  Ribbon: AntBadge.Ribbon
});