import React from 'react';
import { ConfigProvider as AntConfigProvider } from 'antd';
import type { ConfigProviderProps as AntConfigProviderProps, ConfigConsumerProps as AntConfigConsumerProps, ThemeConfig as AntThemeConfig } from 'antd/es/config-provider';
import type { ComponentStyleConfig, CardConfig as AntCardConfig } from 'antd/es/config-provider/context';
import type { AppProps } from 'antd/es/app';
import type { PaginationConfig } from 'antd/es/pagination';
import type { SpinIndicator } from 'antd/es/spin';
import type { StyleProviderProps } from '@ant-design/cssinjs';
import type { NavigateFunction } from './navigate';
import type { Locale } from '../locale';
export * from './navigate';
export * from 'antd/es/config-provider/context';
export * from 'antd/es/config-provider/SizeContext';
export * from 'antd/es/config-provider/DisabledContext';
export * from 'antd/es/config-provider';
export interface ThemeConfig extends AntThemeConfig {
    isDark?: boolean;
    isAliyun?: boolean;
}
export type CardConfig = AntCardConfig & {
    divided?: boolean;
};
export type SpinConfig = ComponentStyleConfig & {
    indicator?: SpinIndicator;
};
export type TableConfig = ComponentStyleConfig & {
    selectionColumnWidth?: number;
};
export interface ConfigConsumerProps extends AntConfigConsumerProps {
    theme?: ThemeConfig;
    navigate?: NavigateFunction;
    hideOnSinglePage?: boolean;
    card?: CardConfig;
    spin?: SpinConfig;
    table?: TableConfig;
    builtInApp?: boolean;
    locale?: Locale;
}
export interface ConfigProviderProps extends AntConfigProviderProps {
    theme?: ThemeConfig;
    locale?: Locale;
    navigate?: NavigateFunction;
    hideOnSinglePage?: boolean;
    card?: CardConfig;
    pagination?: PaginationConfig;
    spin?: SpinConfig;
    table?: TableConfig;
    styleProviderProps?: StyleProviderProps;
    appProps?: AppProps;
}
export interface ExtendedConfigConsumerProps {
    navigate?: NavigateFunction;
    hideOnSinglePage?: boolean;
    injectStaticFunction?: boolean;
}
declare const ExtendedConfigContext: React.Context<ExtendedConfigConsumerProps>;
export type ConfigProviderType = React.FC<ConfigProviderProps> & {
    ExtendedConfigContext: typeof ExtendedConfigContext;
} & {
    ConfigContext: React.Context<ConfigConsumerProps>;
    SizeContext: typeof AntConfigProvider.SizeContext;
    config: typeof AntConfigProvider.config;
    useConfig: typeof AntConfigProvider.useConfig;
};
declare const ConfigProvider: ConfigProviderType;
export default ConfigProvider;
