var _excluded = ["children", "contentProps"],
  _excluded2 = ["ellipsis", "editable"];
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React from 'react';
import warning from 'antd/es/_util/warning';
import toArray from 'rc-util/lib/Children/toArray';
import Typography from "../../typography";
import { getEllipsisConfig } from "../../_util/getEllipsisConfig";

// Convert children into items
import { jsx as _jsx } from "react/jsx-runtime";
var children2Items = function children2Items(children) {
  var childrenItems = toArray(children).map(function (node) {
    if ( /*#__PURE__*/React.isValidElement(node)) {
      var key = node.key,
        props = node.props;
      return _objectSpread({
        key: key
      }, props);
    }
    return null;
  }).filter(function (node) {
    return !!node;
  });
  return childrenItems;
};
function convertItem(props, bordered) {
  var itemChildren = props.children,
    contentProps = props.contentProps,
    restItemProps = _objectWithoutProperties(props, _excluded);
  var defaultEllipsis = {
    tooltip: {
      placement: 'topLeft',
      title: itemChildren
    }
  };
  var _ref = contentProps || {},
    _ref$ellipsis = _ref.ellipsis,
    ellipsis = _ref$ellipsis === void 0 ? defaultEllipsis : _ref$ellipsis,
    editable = _ref.editable,
    restContentProps = _objectWithoutProperties(_ref, _excluded2);
  return _objectSpread(_objectSpread({}, restItemProps), {}, {
    // 仅无边框时定制 children
    children: bordered ? itemChildren : /*#__PURE__*/_jsx(Typography.Text, _objectSpread(_objectSpread({}, restContentProps), {}, {
      ellipsis: getEllipsisConfig(ellipsis, itemChildren),
      editable:
      // disable autoSize by default to avoid over height
      _typeof(editable) === 'object' ? _objectSpread({
        autoSize: false
      }, editable) : editable === true ? {
        autoSize: false
      } : editable,
      children: itemChildren
    }))
  });
}
export default function useItems(items, children, bordered) {
  if (items) {
    return items.map(function (item) {
      return convertItem(item, bordered);
    });
  }
  warning(!children, 'Descriptions', 'Descriptions.Item is deprecated. Please use `items` directly.');
  return children2Items(children).map(function (item) {
    return convertItem(item, bordered);
  });
}