function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["locale", "children", "onOk", "onClose", "onCancel", "okText", "cancelText", "okButtonProps", "confirmLoading", "footer", "footerExtra", "rootClassName", "bodyStyle", "styles", "prefixCls"];
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { isValidElement, useState, useContext } from 'react';
import { Drawer as AntDrawer, Space } from 'antd';
import { useScroll, useSize } from 'ahooks';
import classNames from 'classnames';
import { omit } from 'lodash';
import ConfigProvider from "../config-provider";
import Button from "../button";
import defaultLocale from "../locale/en-US";
import useStyle from "./style";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export * from 'antd/es/drawer';
var Drawer = function Drawer(_ref) {
  var customLocale = _ref.locale,
    children = _ref.children,
    onOk = _ref.onOk,
    onClose = _ref.onClose,
    onCancel = _ref.onCancel,
    okText = _ref.okText,
    cancelText = _ref.cancelText,
    okButtonProps = _ref.okButtonProps,
    confirmLoading = _ref.confirmLoading,
    footer = _ref.footer,
    footerExtra = _ref.footerExtra,
    rootClassName = _ref.rootClassName,
    bodyStyle = _ref.bodyStyle,
    styles = _ref.styles,
    customizePrefixCls = _ref.prefixCls,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var _React$useContext = React.useContext(ConfigProvider.ConfigContext),
    contextLocale = _React$useContext.locale;
  var drawerLocale = _objectSpread(_objectSpread(_objectSpread({}, defaultLocale.Drawer), contextLocale === null || contextLocale === void 0 ? void 0 : contextLocale.Drawer), customLocale);
  var _useContext = useContext(ConfigProvider.ConfigContext),
    getPrefixCls = _useContext.getPrefixCls;
  var prefixCls = getPrefixCls('drawer', customizePrefixCls);
  var _useStyle = useStyle(prefixCls),
    wrapSSR = _useStyle.wrapSSR;
  var _useState = useState(null),
    _useState2 = _slicedToArray(_useState, 2),
    contentElment = _useState2[0],
    setContentElement = _useState2[1];
  // useSize for re-render when contentElment change size
  useSize(contentElment);
  // useScroll for re-render when scroll
  var scroll = useScroll(contentElment);
  var isScroll = (contentElment === null || contentElment === void 0 ? void 0 : contentElment.scrollHeight) !== (contentElment === null || contentElment === void 0 ? void 0 : contentElment.clientHeight);
  // start scroll
  var isStartScroll = scroll.top > 0;
  // Determine if an element has been totally scrolled
  // ref: https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollHeight#determine_if_an_element_has_been_totally_scrolled
  var isTotalScroll = Math.abs(((contentElment === null || contentElment === void 0 ? void 0 : contentElment.scrollHeight) || 0) - ((contentElment === null || contentElment === void 0 ? void 0 : contentElment.clientHeight) || 0) - ((contentElment === null || contentElment === void 0 ? void 0 : contentElment.scrollTop) || 0)) < 1;
  var handleCancel = onCancel || onClose;
  var showFooter = !!(footer || onOk) && footer !== false && footer !== null;
  var drawerCls = classNames(prefixCls, _defineProperty({}, "".concat(prefixCls, "-with-footer"), showFooter), rootClassName);
  return wrapSSR( /*#__PURE__*/_jsxs(AntDrawer, _objectSpread(_objectSpread({
    destroyOnClose: true,
    onClose: handleCancel,
    rootClassName: drawerCls,
    prefixCls: customizePrefixCls,
    classNames: {
      header: classNames(_defineProperty({}, "".concat(prefixCls, "-header-shadow"), isStartScroll))
    },
    styles: omit(styles, ['body', 'footer'])
  }, restProps), {}, {
    children: [/*#__PURE__*/_jsx("div", {
      ref: function ref(element) {
        setContentElement(element);
      },
      className: "".concat(prefixCls, "-body-content"),
      style: _objectSpread(_objectSpread({}, bodyStyle), styles === null || styles === void 0 ? void 0 : styles.body),
      children: children
    }), showFooter &&
    /*#__PURE__*/
    // footer className should not be `${prefixCls}-footer` to avoid conflicts with antd
    // ref: https://github.com/ant-design/ant-design/blob/master/components/drawer/style/index.ts#L214
    _jsx("div", {
      className: classNames("".concat(prefixCls, "-footer-container"), _defineProperty({}, "".concat(prefixCls, "-footer-container-shadow"), isScroll && !isTotalScroll)),
      style: styles === null || styles === void 0 ? void 0 : styles.footer,
      children: /*#__PURE__*/isValidElement(footer) ? footer : /*#__PURE__*/_jsxs("div", {
        className: "".concat(prefixCls, "-footer-content"),
        children: [/*#__PURE__*/_jsxs(Space, {
          children: [/*#__PURE__*/_jsx(Button, _objectSpread(_objectSpread({
            onClick: onOk,
            type: "primary",
            loading: confirmLoading
          }, okButtonProps), {}, {
            children: okText || (drawerLocale === null || drawerLocale === void 0 ? void 0 : drawerLocale.okText)
          })), /*#__PURE__*/_jsx(Button, {
            onClick: handleCancel,
            children: cancelText || (drawerLocale === null || drawerLocale === void 0 ? void 0 : drawerLocale.cancelText)
          })]
        }), footerExtra]
      })
    })]
  })));
};
Drawer._InternalPanelDoNotUseOrYouWillBeFired = AntDrawer._InternalPanelDoNotUseOrYouWillBeFired;
if (process.env.NODE_ENV !== 'production') {
  Drawer.displayName = AntDrawer.displayName;
}
export default Drawer;