import { Select as AntSelect } from 'antd';
import type { SelectProps as AntSelectProps, RefSelectProps, BaseOptionType, DefaultOptionType } from 'antd/es/select';
import type { Locale as AntLocale } from 'antd/es/locale';
import type { OptGroup, Option } from 'rc-select';
import React from 'react';
export * from 'antd/es/select';
export type SelectLocale = AntLocale['Select'] & {
    placeholder?: string;
};
export interface SelectProps<ValueType = any, OptionType extends BaseOptionType | DefaultOptionType = DefaultOptionType> extends AntSelectProps<ValueType, OptionType> {
    locale?: SelectLocale;
}
type CompoundedComponent = React.ForwardRefExoticComponent<SelectProps<any, any> & React.RefAttributes<RefSelectProps>> & {
    Option: typeof Option;
    OptGroup: typeof OptGroup;
    _InternalPanelDoNotUseOrYouWillBeFired: typeof AntSelect._InternalPanelDoNotUseOrYouWillBeFired;
};
declare const Select: CompoundedComponent;
export default Select;
