import type { TableProps as AntTableProps } from 'antd';
import type { ColumnsType } from 'antd/es/table';
import type { TableLocale as AntTableLocale } from 'antd/es/table/interface';
import type { Reference } from 'rc-table';
import type Summary from 'rc-table/es/Footer/Summary';
import type { ReactElement, ReactNode } from 'react';
import React from 'react';
import type { AnyObject } from '../_util/type';
export * from 'antd/es/table';
export interface TableLocale extends AntTableLocale {
    batchOperationBar?: {
        selected?: string;
        object?: string;
        cancel?: string;
        collapse?: string;
        open?: string;
    };
}
export interface TableProps<T> extends AntTableProps<T> {
    innerBordered?: boolean;
    columns?: ColumnsType<T>;
    cancelText?: string;
    collapseText?: string;
    openText?: string;
    hiddenCancelBtn?: boolean;
    toolOptionsRender?: (selectedRowKeys: React.Key[], selectedRows: T[]) => ReactNode[];
    toolAlertRender?: false | ((selectedRowKeys: React.Key[], selectedRows: T[]) => ReactNode);
    toolSelectedContent?: (selectedRowKeys: React.Key[], selectedRows: T[]) => ReactNode;
    locale?: TableLocale;
}
declare const _default: (<RecordType extends AnyObject = AnyObject>(props: TableProps<RecordType> & {
    children?: ReactNode;
} & {
    ref?: React.Ref<Reference>;
}) => ReactElement<any, string | React.JSXElementConstructor<any>>) & {
    SELECTION_COLUMN: {};
    EXPAND_COLUMN: {};
    SELECTION_ALL: "SELECT_ALL";
    SELECTION_INVERT: "SELECT_INVERT";
    SELECTION_NONE: "SELECT_NONE";
    Column: <RecordType extends import("antd/es/_util/type").AnyObject>(_: import("antd").TableColumnProps<RecordType>) => null;
    ColumnGroup: <RecordType_1 extends import("antd/es/_util/type").AnyObject>(_: import("antd/es/table/ColumnGroup").ColumnGroupProps<RecordType_1>) => null;
    Summary: typeof Summary;
    useStyle: (prefixCls: string) => {
        wrapSSR: (node: ReactNode) => ReactElement<any, string | React.JSXElementConstructor<any>>;
        hashId: string;
    };
    useDefaultPagination: (pagination?: false | import("antd").TablePaginationConfig) => false | import("antd").TablePaginationConfig;
};
export default _default;
