import React from 'react';
import type { TabsProps as AntTabsProps, TabsPosition as AntTabsPosition } from 'antd/es/tabs';
import type { Tab as AntTab } from 'rc-tabs/es/interface';
import type { TabPaneProps } from './TabPane';
export * from 'antd/es/tabs';
export type { TabPaneProps };
export interface AntTabOptional extends Omit<AntTab, 'key' | 'label'> {
    key?: string;
    label?: React.ReactNode;
}
export type Tab = {
    tag?: React.ReactNode;
    divider?: boolean;
} & (AntTab | AntTabOptional);
export interface TabsProps extends Omit<AntTabsProps, 'items'> {
    items?: Tab[];
}
export type TabsPosition = AntTabsPosition;
declare const Tabs: {
    ({ children, items, type, tabPosition, prefixCls: customizePrefixCls, className, ...restProps }: TabsProps): React.ReactElement<any, string | React.JSXElementConstructor<any>>;
    TabPane: React.FC<TabPaneProps>;
    genTabsStyle: (token: Partial<import("./style").TabsToken>) => import("@ant-design/cssinjs").CSSObject;
    displayName: string;
};
export default Tabs;
