function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["children", "prefixCls", "icon", "className", "ellipsis"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useContext } from 'react';
import { Tag as AntTag } from 'antd';
import classNames from 'classnames';
import ConfigProvider from "../config-provider";
import Typography from "../typography";
import useStyle from "./style";
import { getEllipsisConfig } from "../_util/getEllipsisConfig";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export * from 'antd/es/tag';
var Tag = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var children = _ref.children,
    customizePrefixCls = _ref.prefixCls,
    icon = _ref.icon,
    className = _ref.className,
    _ref$ellipsis = _ref.ellipsis,
    ellipsis = _ref$ellipsis === void 0 ? {
      tooltip: {
        title: children
      }
    } : _ref$ellipsis,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var _useContext = useContext(ConfigProvider.ConfigContext),
    getPrefixCls = _useContext.getPrefixCls;
  var prefixCls = getPrefixCls('tag', customizePrefixCls);
  var _useStyle = useStyle(prefixCls),
    wrapSSR = _useStyle.wrapSSR;
  var ellipsisConfig = getEllipsisConfig(ellipsis, children);
  var tagCls = classNames(_defineProperty({}, "".concat(prefixCls, "-ellipsis"), !!ellipsisConfig), className);
  var realIcon = icon ? /*#__PURE__*/_jsx("span", {
    className: "".concat(prefixCls, "-icon"),
    children: icon
  }) : null;
  return wrapSSR( /*#__PURE__*/_jsx(AntTag, _objectSpread(_objectSpread({
    ref: ref,
    prefixCls: customizePrefixCls,
    className: tagCls,
    icon: ellipsisConfig ? null : icon
  }, restProps), {}, {
    children: ellipsisConfig ? /*#__PURE__*/_jsxs(Typography.Text, {
      ellipsis: ellipsisConfig,
      children: [realIcon, children]
    }) : children
  })));
});
if (process.env.NODE_ENV !== 'production') {
  Tag.displayName = AntTag.displayName;
}
export default Object.assign(Tag, {
  CheckableTag: AntTag.CheckableTag
});