function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { mergeToken } from 'antd/es/theme/internal';
import { genComponentStyleHook } from "../../_util/genComponentStyleHook";
import { genPresetColor } from 'antd/lib/theme/internal';
import { getWeakenBorderColor } from "../../_util/getWeakenBorderColor";
var getTagBorderColor = function getTagBorderColor(color) {
  return getWeakenBorderColor(color);
};
var genTagPresetStatusStyle = function genTagPresetStatusStyle(token, status) {
  var borderColorMap = {
    success: token.colorSuccessBorder,
    processing: token.colorInfoBorder,
    error: token.colorErrorBorder,
    warning: token.colorWarningBorder
  };
  return _defineProperty({}, "".concat(token.componentCls).concat(token.componentCls, "-").concat(status), {
    borderColor: getTagBorderColor(borderColorMap[status])
  });
};
var genPresetStyle = function genPresetStyle(token) {
  return genPresetColor(token, function (colorKey, _ref2) {
    var lightBorderColor = _ref2.lightBorderColor;
    return _defineProperty({}, "".concat(token.componentCls).concat(token.componentCls, "-").concat(colorKey), {
      borderColor: getTagBorderColor(lightBorderColor)
    });
  });
};
export var genTagStyle = function genTagStyle(token) {
  var antCls = token.antCls,
    componentCls = token.componentCls,
    tagPaddingHorizontal = token.tagPaddingHorizontal,
    lineWidth = token.lineWidth,
    calc = token.calc;
  var paddingInline = calc(tagPaddingHorizontal).sub(lineWidth).equal();
  return _defineProperty({}, "".concat(componentCls), _defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty({
    paddingInline: token.paddingXS,
    borderColor: getTagBorderColor(token.colorBorder),
    fontSize: token.fontSizeSM
  }, "".concat(antCls, "-typography"), _defineProperty({
    fontSize: token.fontSizeSM
  }, "".concat(componentCls, "-icon"), {
    marginInlineEnd: paddingInline
  })), '&-ellipsis', {
    maxWidth: '100%',
    textOverflow: 'ellipsis',
    overflow: 'hidden',
    verticalAlign: 'bottom'
  }), '&-checkable', {
    borderColor: 'transparent'
  }), '&-hidden', {
    display: 'none'
  }), '&-borderless', {
    borderColor: 'transparent'
  }));
};
export default (function (prefixCls) {
  var useStyle = genComponentStyleHook('Tag', function (token) {
    var tagToken = mergeToken(token, {
      tagPaddingHorizontal: 8 // Fixed padding.
    });
    return [genTagStyle(tagToken), genPresetStyle(tagToken), genTagPresetStatusStyle(tagToken, 'success'), genTagPresetStatusStyle(tagToken, 'error'), genTagPresetStatusStyle(tagToken, 'processing'), genTagPresetStatusStyle(tagToken, 'warning')];
  });
  return useStyle(prefixCls);
});