import { isString, startsWith, toLower } from 'lodash';
export function formatTheme(theme) {
  var token = theme.token || {};
  // convert token color value to lower case
  Object.keys(token).forEach(function (key) {
    if (isString(token[key]) && startsWith(token[key], '#')) {
      token[key] = toLower(token[key]);
    }
  });
  var components = theme.components || {};
  Object.keys(components).forEach(function (componentName) {
    var componentToken = components[componentName] || {};
    // convert token color value to lower case
    Object.keys(componentToken).forEach(function (key) {
      if (isString(componentToken[key]) && startsWith(componentToken[key], '#')) {
        componentToken[key] = toLower(componentToken[key]);
      }
    });
  });
  return theme;
}