function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["children", "title", "color", "visible", "open", "onOpenChange", "onVisibleChange", "overlayInnerStyle", "mouseEnterDelay", "mouseLeaveDelay"],
  _excluded2 = ["color"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { useMouse, useSize } from 'ahooks';
import React, { useRef, useState } from 'react';
import ReactStickyMouseTooltip from "./ReactStickyMouseTooltip";
import theme from "../theme";
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var MouseTooltip = function MouseTooltip(_ref) {
  var _token$Tooltip, _token$Tooltip2;
  var children = _ref.children,
    title = _ref.title,
    backgroundColor = _ref.color,
    _ref$visible = _ref.visible,
    outerVisible = _ref$visible === void 0 ? true : _ref$visible,
    _ref$open = _ref.open,
    outerOpen = _ref$open === void 0 ? true : _ref$open,
    onOpenChange = _ref.onOpenChange,
    onVisibleChange = _ref.onVisibleChange,
    overlayInnerStyle = _ref.overlayInnerStyle,
    _ref$mouseEnterDelay = _ref.mouseEnterDelay,
    mouseEnterDelay = _ref$mouseEnterDelay === void 0 ? 0.1 : _ref$mouseEnterDelay,
    _ref$mouseLeaveDelay = _ref.mouseLeaveDelay,
    mouseLeaveDelay = _ref$mouseLeaveDelay === void 0 ? 0.1 : _ref$mouseLeaveDelay,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var _theme$useToken = theme.useToken(),
    token = _theme$useToken.token;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    visible = _useState2[0],
    setVisible = _useState2[1];
  var _ref2 = overlayInnerStyle || {},
    textColor = _ref2.color,
    restOverlayInnerStyle = _objectWithoutProperties(_ref2, _excluded2);
  var handleVisibleChange = function handleVisibleChange(value) {
    setVisible(value);
    onOpenChange === null || onOpenChange === void 0 || onOpenChange(value);
    onVisibleChange === null || onVisibleChange === void 0 || onVisibleChange(value);
  };

  // 获取鼠标位置
  var mouseInfo = useMouse();
  // clientX and clientY maybe NaN, should use 0 as fallback value
  // ref: https://github.com/oceanbase/oceanbase-design/pull/968
  var clientX = (mouseInfo === null || mouseInfo === void 0 ? void 0 : mouseInfo.clientX) || 0;
  var clientY = (mouseInfo === null || mouseInfo === void 0 ? void 0 : mouseInfo.clientY) || 0;
  var ref = useRef(null);
  var size = useSize(ref);
  // tooltip 宽高，由于 ref 是设置在内容区上的，因此还需要加上外部的 padding
  var tooltipWidth = ((size === null || size === void 0 ? void 0 : size.width) || 0) + 16;
  var tooltipHeight = ((size === null || size === void 0 ? void 0 : size.height) || 0) + 12;
  // 页面宽高
  var pageWidth = document.body.clientWidth || 0;
  var pageHeight = document.body.clientHeight || 0;

  // 是否横向超出浏览器，需要留出 8px 缓冲区，避免到达页面边界时位置调整不生效
  var isOverWidth = clientX + tooltipWidth + 8 > pageWidth;
  // 是否纵向超出浏览器，需要留出 8px 缓冲区，避免到达页面边界时位置调整不生效
  var isOverHeight = clientY + tooltipHeight + 8 > pageHeight;

  // tooltip 和鼠标之间的偏移
  var offset = 8;
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx("span", {
      onMouseEnter: function onMouseEnter() {
        if (outerOpen || outerVisible) {
          setTimeout(function () {
            handleVisibleChange(true);
          }, mouseEnterDelay * 1000);
        }
      },
      onMouseLeave: function onMouseLeave() {
        setTimeout(function () {
          handleVisibleChange(false);
        }, mouseLeaveDelay * 1000);
      },
      children: children
    }), title && /*#__PURE__*/_jsx(ReactStickyMouseTooltip, _objectSpread(_objectSpread({
      visible: visible,
      style: _objectSpread({
        // 需要大于 Popover 的 1030 zIndex 值，否则会被遮挡
        zIndex: 1100,
        padding: '6px 8px',
        boxShadow: token.boxShadowSecondary,
        borderRadius: token.borderRadius,
        // @ts-ignore
        color: textColor || ((_token$Tooltip = token.Tooltip) === null || _token$Tooltip === void 0 ? void 0 : _token$Tooltip.colorTextLightSolid) || token.colorTextLightSolid,
        backgroundColor:
        // @ts-ignore
        backgroundColor || ((_token$Tooltip2 = token.Tooltip) === null || _token$Tooltip2 === void 0 ? void 0 : _token$Tooltip2.colorBgSpotlight) || token.colorBgSpotlight,
        left: isOverWidth ? clientX - tooltipWidth - offset : clientX + offset,
        top: isOverHeight ? clientY - tooltipHeight - offset : clientY + offset
      }, restOverlayInnerStyle)
    }, restProps), {}, {
      children: /*#__PURE__*/_jsx("div", {
        ref: ref,
        children: typeof title === 'function' ? title() : title
      })
    }))]
  });
};
if (process.env.NODE_ENV !== 'production') {
  MouseTooltip.displayName = 'MouseTooltip';
}
export default MouseTooltip;