import { Tooltip as AntTooltip } from 'antd';
import type { TooltipPropsWithTitle as AntTooltipPropsWithTitle, TooltipRef } from 'antd/es/tooltip';
import React from 'react';
export * from 'antd/es/tooltip';
export type TooltipType = 'default' | 'light' | 'success' | 'info' | 'warning' | 'error';
export interface TooltipProps extends AntTooltipPropsWithTitle {
    type?: TooltipType;
    mouseFollow?: boolean;
    closeIcon?: boolean | React.ReactNode;
    onClose?: (e: React.MouseEvent<HTMLElement>) => void;
}
type CompoundedComponent = React.ForwardRefExoticComponent<TooltipProps & React.RefAttributes<TooltipRef | undefined>> & {
    /** @internal */
    __ANT_TOOLTIP: boolean;
    _InternalPanelDoNotUseOrYouWillBeFired: typeof AntTooltip._InternalPanelDoNotUseOrYouWillBeFired;
};
declare const Tooltip: CompoundedComponent;
export default Tooltip;
