function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["children", "title", "type", "color", "mouseFollow", "closeIcon", "onClose", "open", "defaultOpen", "onOpenChange", "visible", "defaultVisible", "onVisibleChange", "overlayInnerStyle", "className", "overlay"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { Tooltip as AntTooltip, Space } from 'antd';
import React, { useContext, useState } from 'react';
import { CloseOutlined } from '@oceanbase/icons';
import classNames from 'classnames';
import MouseTooltip from "./MouseTooltip";
import ConfigProvider from "../config-provider";
import useStyle from "./style";
import { useTooltipTypeList } from "./hooks/useTooltipTypeList";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export * from 'antd/es/tooltip';
var Tooltip = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var _ref2, _ref3, _ref4;
  var children = _ref.children,
    title = _ref.title,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'default' : _ref$type,
    color = _ref.color,
    mouseFollow = _ref.mouseFollow,
    _ref$closeIcon = _ref.closeIcon,
    closeIcon = _ref$closeIcon === void 0 ? false : _ref$closeIcon,
    onClose = _ref.onClose,
    open = _ref.open,
    defaultOpen = _ref.defaultOpen,
    _onOpenChange = _ref.onOpenChange,
    visible = _ref.visible,
    defaultVisible = _ref.defaultVisible,
    onVisibleChange = _ref.onVisibleChange,
    overlayInnerStyle = _ref.overlayInnerStyle,
    className = _ref.className,
    overlay = _ref.overlay,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var _useContext = useContext(ConfigProvider.ConfigContext),
    getPrefixCls = _useContext.getPrefixCls;
  var customizePrefixCls = restProps.prefixCls;
  var prefixCls = getPrefixCls('tooltip', customizePrefixCls);
  var _useStyle = useStyle(prefixCls),
    wrapSSR = _useStyle.wrapSSR,
    hashId = _useStyle.hashId;
  var tooltipCls = classNames(className);
  var mouseTooltipCls = classNames(prefixCls, className, hashId);
  var _useState = useState((_ref2 = (_ref3 = open !== null && open !== void 0 ? open : visible) !== null && _ref3 !== void 0 ? _ref3 : defaultOpen) !== null && _ref2 !== void 0 ? _ref2 : defaultVisible),
    _useState2 = _slicedToArray(_useState, 2),
    innerOpen = _useState2[0],
    setInnerOpen = _useState2[1];

  // 同步 ant-design noTitle 逻辑
  var noTitle = !title && !overlay && title !== 0; // overlay for old version compatibility
  var newOpen = (_ref4 = open !== null && open !== void 0 ? open : visible) !== null && _ref4 !== void 0 ? _ref4 : noTitle ? false : innerOpen;
  var handleCloseClick = function handleCloseClick(e) {
    e.stopPropagation();
    onClose === null || onClose === void 0 || onClose(e);
    if (e.defaultPrevented) {
      return;
    }
    setInnerOpen(false);
  };
  var closeIconNode = closeIcon ? closeIcon === true ? /*#__PURE__*/_jsx(CloseOutlined, {
    className: "".concat(prefixCls, "-close-icon"),
    onClick: handleCloseClick
  }) : /*#__PURE__*/_jsx("span", {
    className: "".concat(prefixCls, "-close-icon"),
    onClick: handleCloseClick,
    children: closeIcon
  }) : null;
  var titleNode = typeof title === 'function' ? title() : title;
  var newTitle = closeIcon ? /*#__PURE__*/_jsxs(Space, {
    className: "".concat(prefixCls, "-close-icon-wrap"),
    children: [titleNode, closeIconNode]
  }) : titleNode;
  var typeList = useTooltipTypeList();
  var typeItem = typeList.find(function (item) {
    return item.type === type;
  });
  return wrapSSR(mouseFollow ? /*#__PURE__*/_jsx(MouseTooltip, _objectSpread(_objectSpread({
    title: title,
    color: color || (typeItem === null || typeItem === void 0 ? void 0 : typeItem.backgroundColor),
    overlayInnerStyle: _objectSpread({
      color: typeItem === null || typeItem === void 0 ? void 0 : typeItem.color
    }, overlayInnerStyle),
    className: mouseTooltipCls,
    overlay: overlay
  }, restProps), {}, {
    children: children
  })) : /*#__PURE__*/_jsx(AntTooltip, _objectSpread(_objectSpread({
    ref: ref,
    title: newTitle,
    color: color || (typeItem === null || typeItem === void 0 ? void 0 : typeItem.backgroundColor),
    open: newOpen,
    defaultOpen: defaultOpen,
    onOpenChange: function onOpenChange(value) {
      setInnerOpen(value);
      onVisibleChange === null || onVisibleChange === void 0 || onVisibleChange(value);
      _onOpenChange === null || _onOpenChange === void 0 || _onOpenChange(value);
    },
    overlayInnerStyle: _objectSpread({
      color: typeItem === null || typeItem === void 0 ? void 0 : typeItem.color
    }, overlayInnerStyle),
    className: tooltipCls,
    overlay: overlay
  }, restProps), {}, {
    children: children
  })));
});
if (process.env.NODE_ENV !== 'production') {
  Tooltip.displayName = AntTooltip.displayName;
}
Tooltip.__ANT_TOOLTIP = true;
Tooltip._InternalPanelDoNotUseOrYouWillBeFired = AntTooltip._InternalPanelDoNotUseOrYouWillBeFired;
export default Tooltip;