var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/badge/style/index.ts
var style_exports = {};
__export(style_exports, {
  default: () => style_default,
  genBadgeStyle: () => genBadgeStyle
});
module.exports = __toCommonJS(style_exports);
var import_genComponentStyleHook = require("../../_util/genComponentStyleHook");
var genBadgeStyle = (token) => {
  const { componentCls } = token;
  const dotSize = token.fontSizeLG / 2;
  return {
    [`${componentCls}`]: {
      // inherit color from parent instead of fixed colorText
      color: "inherit"
    },
    [`${componentCls}${componentCls}-status`]: {
      // dot style
      [`${componentCls}-status-dot`]: {
        width: dotSize,
        height: dotSize,
        [`&${componentCls}-status-default`]: {
          backgroundColor: token.colorFill
        }
      },
      // icon style
      [`${componentCls}-status-icon`]: {
        fontSize: token.fontSizeSM,
        // remove dot style
        backgroundColor: "transparent",
        ["&::after"]: {
          display: "none"
        },
        [`&${componentCls}-status-success`]: {
          color: token.colorSuccess
        },
        [`&${componentCls}-status-processing`]: {
          color: token.colorPrimary
        },
        [`&${componentCls}-status-default`]: {
          color: token.colorFill
        },
        [`&${componentCls}-status-error`]: {
          color: token.colorError
        },
        [`&${componentCls}-status-warning`]: {
          color: token.colorWarning
        }
      },
      [`${componentCls}-status-text`]: {
        marginInlineStart: token.marginXS,
        // inherit color from parent instead of fixed colorText
        color: "inherit"
      }
    }
  };
};
var style_default = (prefixCls) => {
  const useStyle = (0, import_genComponentStyleHook.genComponentStyleHook)("Badge", (token) => {
    return [genBadgeStyle(token)];
  });
  return useStyle(prefixCls);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  genBadgeStyle
});
