var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/button/style/index.ts
var style_exports = {};
__export(style_exports, {
  default: () => style_default,
  genButtonStyle: () => genButtonStyle
});
module.exports = __toCommonJS(style_exports);
var import_genComponentStyleHook = require("../../_util/genComponentStyleHook");
var genButtonStyle = (token) => {
  const { componentCls } = token;
  const primaryBtnCls = `${componentCls}${componentCls}-primary:not([disabled]):not(${componentCls}-disabled):not(${componentCls}-dangerous):not(${componentCls}-background-ghost)`;
  const primaryAndCompactItemBtnCls = `${componentCls}-compact-item${primaryBtnCls}`;
  return {
    [`${componentCls}`]: {
      // remove box-shadow for button
      boxShadow: "none !important"
    },
    // primary button
    [`${primaryBtnCls}`]: {
      background: "linear-gradient(-59deg, #002BFF 0%, #0080FF 100%)",
      border: "none",
      ["&:hover"]: {
        background: "linear-gradient(120deg, #1AA0FF 0%, #1A53FF 100%)"
      },
      ["&:active"]: {
        background: "linear-gradient(120deg, #0060E6 0%, #0013E6 100%)"
      }
    },
    // primary button in compact item
    [`${primaryBtnCls}${componentCls}-compact-last-item`]: {
      background: "linear-gradient(-59deg, #002BFF 0%, #002BFF 100%)",
      ["&:hover"]: {
        background: "linear-gradient(120deg, #1AA0FF 0%, #1A53FF 100%)"
      },
      ["&:active"]: {
        background: "linear-gradient(120deg, #0060E6 0%, #0013E6 100%)"
      }
    },
    [`${primaryAndCompactItemBtnCls}+${primaryAndCompactItemBtnCls}:before`]: {
      height: "100%",
      top: 0
    },
    [`${primaryAndCompactItemBtnCls}:hover`]: {
      zIndex: 0
    }
  };
};
var style_default = (prefixCls, isAliyun) => {
  const useStyle = (0, import_genComponentStyleHook.genComponentStyleHook)("Button", (token) => {
    return isAliyun ? [] : [genButtonStyle(token)];
  });
  return useStyle(prefixCls);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  genButtonStyle
});
