var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/card/index.tsx
var card_exports = {};
__export(card_exports, {
  default: () => card_default
});
module.exports = __toCommonJS(card_exports);
var import_util = require("@oceanbase/util");
var import_antd = require("antd");
var import_classnames = __toESM(require("classnames"));
var import_react = __toESM(require("react"));
var import_config_provider = __toESM(require("../config-provider"));
var import_util2 = require("../_util");
var import_style = __toESM(require("./style"));
__reExport(card_exports, require("antd/es/card/Card"), module.exports);
__reExport(card_exports, require("antd/es/card"), module.exports);
var Card = import_react.default.forwardRef(
  ({
    children,
    size,
    title,
    tabList,
    divided: outerDivided,
    prefixCls: customizePrefixCls,
    bodyStyle,
    styles,
    className,
    ...restProps
  }, ref) => {
    var _a;
    const { getPrefixCls, card: contextCard } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
    const divided = outerDivided ?? (contextCard == null ? void 0 : contextCard.divided) ?? true;
    const prefixCls = getPrefixCls("card", customizePrefixCls);
    const tabsPrefixCls = getPrefixCls("tabs", customizePrefixCls);
    const { wrapSSR } = (0, import_style.default)(prefixCls, tabsPrefixCls);
    const noBodyHorizontalPadding = (0, import_util2.isHorizontalPaddingZero)(bodyStyle == null ? void 0 : bodyStyle.padding) || (0, import_util2.isHorizontalPaddingZero)((_a = styles == null ? void 0 : styles.body) == null ? void 0 : _a.padding);
    const cardCls = (0, import_classnames.default)(
      {
        [`${prefixCls}-has-title`]: !!title,
        [`${prefixCls}-no-divider`]: !divided,
        [`${prefixCls}-no-body-horizontal-padding`]: noBodyHorizontalPadding
      },
      className
    );
    const newTabList = tabList == null ? void 0 : tabList.map((item) => {
      if (!(0, import_util.isNullValue)(item.tag)) {
        return {
          ...item,
          tab: /* @__PURE__ */ import_react.default.createElement(import_antd.Space, { size: 4 }, item.tab, /* @__PURE__ */ import_react.default.createElement(import_antd.Tag, { bordered: false, className: `${tabsPrefixCls}-tab-tag` }, item.tag))
        };
      }
      return item;
    });
    return wrapSSR(
      /* @__PURE__ */ import_react.default.createElement(
        import_antd.Card,
        {
          ref,
          size,
          title,
          tabList: newTabList,
          prefixCls: customizePrefixCls,
          bodyStyle,
          styles,
          className: cardCls,
          ...restProps
        },
        children
      )
    );
  }
);
if (process.env.NODE_ENV !== "production") {
  Card.displayName = import_antd.Card.displayName;
}
var card_default = Object.assign(Card, {
  Grid: import_antd.Card.Grid,
  Meta: import_antd.Card.Meta,
  genTableStyle: import_style.genTableStyle
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/card/Card"),
  ...require("antd/es/card")
});
