var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/config-provider/index.tsx
var config_provider_exports = {};
__export(config_provider_exports, {
  default: () => config_provider_default
});
module.exports = __toCommonJS(config_provider_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_cssinjs = require("@ant-design/cssinjs");
var import_StyleContext = __toESM(require("@ant-design/cssinjs/es/StyleContext"));
var import_icons = require("@oceanbase/icons");
var import_aliyun_theme = __toESM(require("@oceanbase/aliyun-theme"));
var import_lodash = require("lodash");
var import_static_function = __toESM(require("../static-function"));
var import_theme = __toESM(require("../theme"));
var import_default = __toESM(require("../theme/default"));
var import_dark = __toESM(require("../theme/dark"));
var import_DefaultRenderEmpty = __toESM(require("./DefaultRenderEmpty"));
__reExport(config_provider_exports, require("./navigate"), module.exports);
__reExport(config_provider_exports, require("antd/es/config-provider/context"), module.exports);
__reExport(config_provider_exports, require("antd/es/config-provider/SizeContext"), module.exports);
__reExport(config_provider_exports, require("antd/es/config-provider/DisabledContext"), module.exports);
__reExport(config_provider_exports, require("antd/es/config-provider"), module.exports);
var ExtendedConfigContext = import_react.default.createContext({
  navigate: void 0,
  hideOnSinglePage: false,
  injectStaticFunction: true
});
var ConfigProvider = ({
  children,
  theme,
  locale,
  navigate,
  hideOnSinglePage,
  card,
  collapse,
  form,
  spin,
  table,
  tabs,
  styleProviderProps,
  appProps,
  ...restProps
}) => {
  var _a, _b;
  const parentContext = import_react.default.useContext(import_antd.ConfigProvider.ConfigContext);
  const parentExtendedContext = import_react.default.useContext(ExtendedConfigContext);
  const { isDark, isAliyun } = (0, import_lodash.merge)({}, parentContext.theme, theme);
  const customTheme = isAliyun ? import_aliyun_theme.default : isDark ? import_dark.default : void 0;
  const mergedTheme = (0, import_lodash.merge)(
    {},
    customTheme ? {} : import_default.default,
    parentContext.theme,
    customTheme,
    theme
  );
  const { token } = import_theme.default.useToken();
  const fontFamily = ((_a = mergedTheme.token) == null ? void 0 : _a.fontFamily) || token.fontFamily;
  const parentStyleContext = import_react.default.useContext(import_StyleContext.default);
  const mergedStyleProviderProps = (0, import_lodash.merge)({}, parentStyleContext, styleProviderProps);
  const mergedLocale = (0, import_lodash.merge)({}, parentContext.locale, locale);
  return /* @__PURE__ */ import_react.default.createElement(
    import_antd.ConfigProvider,
    {
      locale: mergedLocale,
      card: (0, import_lodash.merge)({}, parentContext.card, card),
      collapse: (0, import_lodash.merge)(
        {},
        {
          expandIcon: ({ isActive }) => /* @__PURE__ */ import_react.default.createElement(import_icons.CaretRightOutlined, { rotate: isActive ? 90 : 0 })
        },
        parentContext.collapse,
        collapse
      ),
      form: (0, import_lodash.merge)(
        {},
        {
          requiredMark: "optional"
        },
        parentContext.form,
        form
      ),
      spin: (0, import_lodash.merge)({}, parentContext.spin, spin),
      table: (0, import_lodash.merge)({}, parentContext.table, table),
      tabs: (0, import_lodash.merge)(
        {},
        {
          indicatorSize: (origin) => origin >= 24 ? origin - 16 : origin
        },
        parentContext.tabs,
        tabs
      ),
      theme: (0, import_lodash.merge)({}, mergedTheme, {
        token: (
          // custom fontFamily
          fontFamily !== import_default.default.token.fontFamily ? { fontFamily } : (
            // use fontFamilyEn for en
            ["en", "en-gb"].includes(mergedLocale.locale) ? {
              fontFamily: import_default.fontFamilyEn
            } : {}
          )
        )
      }),
      renderEmpty: parentContext.renderEmpty || ((componentName) => /* @__PURE__ */ import_react.default.createElement(import_DefaultRenderEmpty.default, { componentName })),
      ...restProps
    },
    /* @__PURE__ */ import_react.default.createElement(
      ExtendedConfigContext.Provider,
      {
        value: {
          navigate: navigate === void 0 ? parentExtendedContext.navigate : navigate,
          hideOnSinglePage: ((_b = parentContext.pagination) == null ? void 0 : _b.showSizeChanger) ? false : hideOnSinglePage !== void 0 ? hideOnSinglePage : parentExtendedContext.hideOnSinglePage,
          // inject static function to outermost ConfigProvider only
          injectStaticFunction: false
        }
      },
      /* @__PURE__ */ import_react.default.createElement(import_cssinjs.StyleProvider, { ...mergedStyleProviderProps }, /* @__PURE__ */ import_react.default.createElement(import_antd.App, { component: false, ...appProps }, children, parentExtendedContext.injectStaticFunction && /* @__PURE__ */ import_react.default.createElement(import_static_function.default, null)))
    )
  );
};
ConfigProvider.ConfigContext = import_antd.ConfigProvider.ConfigContext;
ConfigProvider.ExtendedConfigContext = ExtendedConfigContext;
ConfigProvider.SizeContext = import_antd.ConfigProvider.SizeContext;
ConfigProvider.config = import_antd.ConfigProvider.config;
ConfigProvider.useConfig = import_antd.ConfigProvider.useConfig;
if (process.env.NODE_ENV !== "production") {
  ConfigProvider.displayName = import_antd.ConfigProvider.displayName;
}
var config_provider_default = ConfigProvider;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("./navigate"),
  ...require("antd/es/config-provider/context"),
  ...require("antd/es/config-provider/SizeContext"),
  ...require("antd/es/config-provider/DisabledContext"),
  ...require("antd/es/config-provider")
});
