var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/descriptions/hooks/useItems.tsx
var useItems_exports = {};
__export(useItems_exports, {
  default: () => useItems
});
module.exports = __toCommonJS(useItems_exports);
var import_react = __toESM(require("react"));
var import_warning = __toESM(require("antd/es/_util/warning"));
var import_toArray = __toESM(require("rc-util/lib/Children/toArray"));
var import_typography = __toESM(require("../../typography"));
var import_getEllipsisConfig = require("../../_util/getEllipsisConfig");
var children2Items = (children) => {
  const childrenItems = (0, import_toArray.default)(children).map((node) => {
    if (import_react.default.isValidElement(node)) {
      const { key, props } = node;
      return {
        key,
        ...props
      };
    }
    return null;
  }).filter((node) => !!node);
  return childrenItems;
};
function convertItem(props, bordered) {
  const { children: itemChildren, contentProps, ...restItemProps } = props;
  const defaultEllipsis = {
    tooltip: {
      placement: "topLeft",
      title: itemChildren
    }
  };
  const { ellipsis = defaultEllipsis, editable, ...restContentProps } = contentProps || {};
  return {
    ...restItemProps,
    // 仅无边框时定制 children
    children: bordered ? itemChildren : /* @__PURE__ */ import_react.default.createElement(
      import_typography.default.Text,
      {
        ...restContentProps,
        ellipsis: (0, import_getEllipsisConfig.getEllipsisConfig)(ellipsis, itemChildren),
        editable: (
          // disable autoSize by default to avoid over height
          typeof editable === "object" ? {
            autoSize: false,
            ...editable
          } : editable === true ? {
            autoSize: false
          } : editable
        )
      },
      itemChildren
    )
  };
}
function useItems(items, children, bordered) {
  if (items) {
    return items.map((item) => convertItem(item, bordered));
  }
  (0, import_warning.default)(
    !children,
    "Descriptions",
    "Descriptions.Item is deprecated. Please use `items` directly."
  );
  return children2Items(children).map((item) => convertItem(item, bordered));
}
