var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/descriptions/index.tsx
var descriptions_exports = {};
__export(descriptions_exports, {
  default: () => descriptions_default
});
module.exports = __toCommonJS(descriptions_exports);
var import_antd = require("antd");
var import_classnames = __toESM(require("classnames"));
var import_react = __toESM(require("react"));
var import_config_provider = __toESM(require("../config-provider"));
var import_Item = __toESM(require("./Item"));
var import_useItems = __toESM(require("./hooks/useItems"));
var import_style = __toESM(require("./style"));
__reExport(descriptions_exports, require("antd/es/descriptions"), module.exports);
var Descriptions = ({
  children,
  bordered,
  layout = "horizontal",
  colon = layout === "vertical" ? false : void 0,
  items,
  prefixCls: customizePrefixCls,
  className,
  ...restProps
}) => {
  const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
  const prefixCls = getPrefixCls("descriptions", customizePrefixCls);
  const typographyPrefixCls = getPrefixCls("typography", customizePrefixCls);
  const { wrapSSR } = (0, import_style.default)(prefixCls, typographyPrefixCls);
  const descriptionsCls = (0, import_classnames.default)(className, {
    [`${prefixCls}-vertical`]: layout === "vertical",
    [`${prefixCls}-horizontal`]: layout === "horizontal"
  });
  const newItems = (0, import_useItems.default)(items, children, bordered);
  return wrapSSR(
    /* @__PURE__ */ import_react.default.createElement(
      import_antd.Descriptions,
      {
        layout,
        colon,
        bordered,
        items: newItems,
        prefixCls: customizePrefixCls,
        className: descriptionsCls,
        ...restProps
      }
    )
  );
};
if (process.env.NODE_ENV !== "production") {
  Descriptions.displayName = import_antd.Descriptions.displayName;
}
Descriptions.Item = import_Item.default;
var descriptions_default = Descriptions;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/descriptions")
});
