var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/drawer/index.tsx
var drawer_exports = {};
__export(drawer_exports, {
  default: () => drawer_default
});
module.exports = __toCommonJS(drawer_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_ahooks = require("ahooks");
var import_classnames = __toESM(require("classnames"));
var import_lodash = require("lodash");
var import_config_provider = __toESM(require("../config-provider"));
var import_button = __toESM(require("../button"));
var import_en_US = __toESM(require("../locale/en-US"));
var import_style = __toESM(require("./style"));
__reExport(drawer_exports, require("antd/es/drawer"), module.exports);
var Drawer = ({
  locale: customLocale,
  children,
  onOk,
  onClose,
  onCancel,
  okText,
  cancelText,
  okButtonProps,
  confirmLoading,
  footer,
  footerExtra,
  rootClassName,
  bodyStyle,
  styles,
  prefixCls: customizePrefixCls,
  ...restProps
}) => {
  const { locale: contextLocale } = import_react.default.useContext(
    import_config_provider.default.ConfigContext
  );
  const drawerLocale = {
    ...import_en_US.default.Drawer,
    ...contextLocale == null ? void 0 : contextLocale.Drawer,
    ...customLocale
  };
  const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
  const prefixCls = getPrefixCls("drawer", customizePrefixCls);
  const { wrapSSR } = (0, import_style.default)(prefixCls);
  const [contentElment, setContentElement] = (0, import_react.useState)(null);
  (0, import_ahooks.useSize)(contentElment);
  const scroll = (0, import_ahooks.useScroll)(contentElment);
  const isScroll = (contentElment == null ? void 0 : contentElment.scrollHeight) !== (contentElment == null ? void 0 : contentElment.clientHeight);
  const isStartScroll = scroll.top > 0;
  const isTotalScroll = Math.abs(
    ((contentElment == null ? void 0 : contentElment.scrollHeight) || 0) - ((contentElment == null ? void 0 : contentElment.clientHeight) || 0) - ((contentElment == null ? void 0 : contentElment.scrollTop) || 0)
  ) < 1;
  const handleCancel = onCancel || onClose;
  const showFooter = !!(footer || onOk) && footer !== false && footer !== null;
  const drawerCls = (0, import_classnames.default)(
    prefixCls,
    {
      [`${prefixCls}-with-footer`]: showFooter
    },
    rootClassName
  );
  return wrapSSR(
    /* @__PURE__ */ import_react.default.createElement(
      import_antd.Drawer,
      {
        destroyOnClose: true,
        onClose: handleCancel,
        rootClassName: drawerCls,
        prefixCls: customizePrefixCls,
        classNames: {
          header: (0, import_classnames.default)({
            [`${prefixCls}-header-shadow`]: isStartScroll
          })
        },
        styles: (0, import_lodash.omit)(styles, ["body", "footer"]),
        ...restProps
      },
      /* @__PURE__ */ import_react.default.createElement(
        "div",
        {
          ref: (element) => {
            setContentElement(element);
          },
          className: `${prefixCls}-body-content`,
          style: {
            ...bodyStyle,
            ...styles == null ? void 0 : styles.body
          }
        },
        children
      ),
      showFooter && // footer className should not be `${prefixCls}-footer` to avoid conflicts with antd
      // ref: https://github.com/ant-design/ant-design/blob/master/components/drawer/style/index.ts#L214
      /* @__PURE__ */ import_react.default.createElement(
        "div",
        {
          className: (0, import_classnames.default)(`${prefixCls}-footer-container`, {
            [`${prefixCls}-footer-container-shadow`]: isScroll && !isTotalScroll
          }),
          style: styles == null ? void 0 : styles.footer
        },
        (0, import_react.isValidElement)(footer) ? footer : /* @__PURE__ */ import_react.default.createElement("div", { className: `${prefixCls}-footer-content` }, /* @__PURE__ */ import_react.default.createElement(import_antd.Space, null, /* @__PURE__ */ import_react.default.createElement(import_button.default, { onClick: onOk, type: "primary", loading: confirmLoading, ...okButtonProps }, okText || (drawerLocale == null ? void 0 : drawerLocale.okText)), /* @__PURE__ */ import_react.default.createElement(import_button.default, { onClick: handleCancel }, cancelText || (drawerLocale == null ? void 0 : drawerLocale.cancelText))), footerExtra)
      )
    )
  );
};
Drawer._InternalPanelDoNotUseOrYouWillBeFired = import_antd.Drawer._InternalPanelDoNotUseOrYouWillBeFired;
if (process.env.NODE_ENV !== "production") {
  Drawer.displayName = import_antd.Drawer.displayName;
}
var drawer_default = Drawer;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/drawer")
});
