var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/empty/index.tsx
var empty_exports = {};
__export(empty_exports, {
  default: () => empty_default
});
module.exports = __toCommonJS(empty_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_classnames = __toESM(require("classnames"));
var import_config_provider = __toESM(require("../config-provider"));
var import_locale = require("../locale");
var import_default = __toESM(require("./default"));
var import_colored = __toESM(require("./colored"));
var import_database = __toESM(require("./database"));
var import_guide = __toESM(require("./guide"));
var import_style = __toESM(require("./style"));
__reExport(empty_exports, require("antd/es/empty"), module.exports);
var defaultEmptyImg = /* @__PURE__ */ import_react.default.createElement(import_default.default, null);
var simpleEmptyImg = /* @__PURE__ */ import_react.default.createElement(import_default.default, null);
var coloredEmptyImg = /* @__PURE__ */ import_react.default.createElement(import_colored.default, null);
var databaseEmptyImg = /* @__PURE__ */ import_react.default.createElement(import_database.default, null);
var guideEmptyImg = /* @__PURE__ */ import_react.default.createElement(import_guide.default, null);
var Empty = (props) => {
  const [locale] = (0, import_locale.useLocale)("Empty");
  const {
    image = defaultEmptyImg,
    title,
    description = locale.description,
    steps,
    layout = "vertical",
    children,
    prefixCls: customizePrefixCls,
    className,
    ...restProps
  } = props;
  const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
  const prefixCls = getPrefixCls("empty", customizePrefixCls);
  const { wrapSSR } = (0, import_style.default)(prefixCls);
  const isHorizontal = layout === "horizontal";
  const emptyCls = (0, import_classnames.default)(
    prefixCls,
    {
      [`${prefixCls}-horizontal`]: isHorizontal,
      [`${prefixCls}-small`]: image === defaultEmptyImg || image === simpleEmptyImg
    },
    className
  );
  return wrapSSR(
    /* @__PURE__ */ import_react.default.createElement(
      import_antd.Empty,
      {
        image,
        description: /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, title && /* @__PURE__ */ import_react.default.createElement("div", { className: `${prefixCls}-title` }, title), description && /* @__PURE__ */ import_react.default.createElement(
          "div",
          {
            className: `${prefixCls}-description-content`
          },
          description
        ), steps && /* @__PURE__ */ import_react.default.createElement(import_antd.Steps, { items: steps }), isHorizontal && children && /* @__PURE__ */ import_react.default.createElement("div", { className: `${prefixCls}-footer` }, children)),
        prefixCls: customizePrefixCls,
        className: emptyCls,
        ...restProps
      },
      !isHorizontal && children
    )
  );
};
Empty.PRESENTED_IMAGE_DEFAULT = defaultEmptyImg;
Empty.PRESENTED_IMAGE_SIMPLE = simpleEmptyImg;
Empty.PRESENTED_IMAGE_COLORED = coloredEmptyImg;
Empty.PRESENTED_IMAGE_DATABASE = databaseEmptyImg;
Empty.PRESENTED_IMAGE_GUIDE = guideEmptyImg;
if (process.env.NODE_ENV !== "production") {
  Empty.displayName = import_antd.Empty.displayName;
}
var empty_default = Empty;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/empty")
});
