var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/form/FormItem.tsx
var FormItem_exports = {};
__export(FormItem_exports, {
  default: () => FormItem_default
});
module.exports = __toCommonJS(FormItem_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_context = require("antd/es/form/context");
var import_lodash = require("lodash");
var import_classnames = __toESM(require("classnames"));
var import_config_provider = __toESM(require("../config-provider"));
var import_useTooltipTypeList = require("../tooltip/hooks/useTooltipTypeList");
var import_style = __toESM(require("./style"));
var AntFormItem = import_antd.Form.Item;
var FormItem = ({
  children,
  label,
  tooltip,
  action,
  layout,
  prefixCls: customizePrefixCls,
  className,
  ...restProps
}) => {
  var _a;
  const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
  const prefixCls = getPrefixCls("form", customizePrefixCls);
  const { wrapSSR } = (0, import_style.default)(prefixCls);
  const formItemCls = (0, import_classnames.default)(className);
  const { vertical } = (0, import_react.useContext)(import_context.FormContext);
  const typeList = (0, import_useTooltipTypeList.useTooltipTypeList)();
  if (typeof tooltip === "object" && !import_react.default.isValidElement(tooltip)) {
    const { icon, type, overlayInnerStyle, ...restTooltipProps } = tooltip;
    const typeItem = typeList.find((item) => item.type === type);
    tooltip = {
      color: typeItem == null ? void 0 : typeItem.backgroundColor,
      overlayInnerStyle: {
        color: typeItem == null ? void 0 : typeItem.color,
        ...overlayInnerStyle
      },
      ...restTooltipProps
    };
  }
  return wrapSSR(
    /* @__PURE__ */ import_react.default.createElement(
      AntFormItem,
      {
        label: action && (vertical || layout === "vertical") ? /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, label, action && /* @__PURE__ */ import_react.default.createElement("span", { className: `${prefixCls}-item-action` }, action)) : label,
        tooltip,
        required: (0, import_lodash.isPlainObject)(children) && ((_a = children.type) == null ? void 0 : _a.__ANT_SWITCH) ? true : void 0,
        prefixCls: customizePrefixCls,
        className: formItemCls,
        ...restProps
      },
      children
    )
  );
};
FormItem.useStatus = AntFormItem.useStatus;
var FormItem_default = FormItem;
