var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/lottie/index.tsx
var lottie_exports = {};
__export(lottie_exports, {
  default: () => lottie_default
});
module.exports = __toCommonJS(lottie_exports);
var import_react = __toESM(require("react"));
var import_design = require("../index");
var import_ahooks = require("ahooks");
var import_classnames = __toESM(require("classnames"));
var Lottie = import_react.default.forwardRef(
  ({ mode = "default", loop = true, speed = 1, className, style, ...restProps }, ref) => {
    const { iconPrefixCls } = (0, import_react.useContext)(import_design.ConfigProvider.ConfigContext);
    const [animation, setAnimation] = (0, import_react.useState)();
    const containerRef = (0, import_react.useRef)(null);
    (0, import_react.useEffect)(() => {
      if (!animation) {
        import("lottie-web").then((lottie) => {
          const newAnimation = lottie.default.loadAnimation({
            container: containerRef.current,
            renderer: "svg",
            loop,
            ...restProps
          });
          setAnimation(newAnimation);
        });
      }
    }, []);
    (0, import_ahooks.useUpdateEffect)(() => {
      if (animation) {
        animation.setLoop(loop);
        animation.setSpeed(speed);
      }
    }, [loop, speed]);
    (0, import_react.useImperativeHandle)(ref, () => ({
      animation
    }));
    return /* @__PURE__ */ import_react.default.createElement(
      "div",
      {
        ref: containerRef,
        className: (0, import_classnames.default)(className, {
          // add icon className for icon mode to get default icon style
          [iconPrefixCls]: mode === "icon"
        }),
        style: {
          display: "inline-block",
          ...style
        }
      }
    );
  }
);
var lottie_default = Lottie;
