var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/result/index.tsx
var result_exports = {};
__export(result_exports, {
  default: () => result_default
});
module.exports = __toCommonJS(result_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_classnames = __toESM(require("classnames"));
var import_config_provider = __toESM(require("../config-provider"));
var import_Success = __toESM(require("./Success"));
var import_Error = __toESM(require("./Error"));
var import_Warning = __toESM(require("./Warning"));
var import_Processing = __toESM(require("./Processing"));
var import__ = __toESM(require("./403"));
var import__2 = __toESM(require("./404"));
var import__3 = __toESM(require("./500"));
var import_style = __toESM(require("./style"));
__reExport(result_exports, require("antd/es/result"), module.exports);
var Result = ({ status, prefixCls: customizePrefixCls, ...restProps }) => {
  const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
  const prefixCls = getPrefixCls("result", customizePrefixCls);
  const { wrapSSR } = (0, import_style.default)(prefixCls);
  const resultCls = (0, import_classnames.default)(prefixCls);
  const statusMap = {
    success: /* @__PURE__ */ import_react.default.createElement(import_Success.default, null),
    error: /* @__PURE__ */ import_react.default.createElement(import_Error.default, null),
    warning: /* @__PURE__ */ import_react.default.createElement(import_Warning.default, null),
    processing: /* @__PURE__ */ import_react.default.createElement(import_Processing.default, null),
    403: /* @__PURE__ */ import_react.default.createElement(import__.default, null),
    404: /* @__PURE__ */ import_react.default.createElement(import__2.default, null),
    500: /* @__PURE__ */ import_react.default.createElement(import__3.default, null)
  };
  return wrapSSR(
    /* @__PURE__ */ import_react.default.createElement(
      import_antd.Result,
      {
        icon: statusMap[status],
        prefixCls: customizePrefixCls,
        className: resultCls,
        ...restProps
      }
    )
  );
};
Result.PRESENTED_IMAGE_403 = import__.default;
Result.PRESENTED_IMAGE_404 = import__2.default;
Result.PRESENTED_IMAGE_500 = import__3.default;
if (process.env.NODE_ENV !== "production") {
  Result.displayName = import_antd.Result.displayName;
}
var result_default = Result;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/result")
});
