var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/spin/style/index.ts
var style_exports = {};
__export(style_exports, {
  default: () => style_default,
  genSpinStyle: () => genSpinStyle
});
module.exports = __toCommonJS(style_exports);
var import_genComponentStyleHook = require("../../_util/genComponentStyleHook");
var genSizeStyle = (spinDotSize, token) => {
  const { componentCls, colorText } = token;
  const spinDotWidth = spinDotSize;
  const spinDotHight = spinDotWidth * (295 / 397);
  return {
    // only work for oceanbase indicator
    [`&${componentCls}-oceanbase`]: {
      [`${componentCls}-dot`]: {
        width: spinDotWidth,
        height: spinDotHight
      },
      [`${componentCls}-text`]: {
        width: spinDotWidth,
        color: colorText
      }
    }
  };
};
var genNestedSizeStyle = (spinDotSize, token) => {
  const { componentCls, fontSize } = token;
  const spinDotWidth = spinDotSize;
  const spinDotHight = spinDotWidth * (295 / 397);
  const dotMarginLeft = -spinDotWidth / 2;
  const dotMarginTop = -spinDotHight / 2;
  const textPaddingTop = (spinDotHight - fontSize) / 2 + 2;
  return {
    // only work for oceanbase indicator
    // `& > ${componentCls}-oceanbase` is compatible with double .ant-spin like Table loading
    [`&${componentCls}-oceanbase, & > ${componentCls}-oceanbase`]: {
      [`${componentCls}-dot`]: {
        marginLeft: dotMarginLeft,
        marginTop: dotMarginTop
      },
      [`${componentCls}-text`]: {
        paddingTop: textPaddingTop
      },
      [`&${componentCls}-show-text ${componentCls}-dot`]: {
        marginTop: dotMarginTop - 10
      }
    }
  };
};
var genSpinStyle = (token) => {
  const { componentCls, spinDotSize, spinDotSizeSM, spinDotSizeLG } = token;
  return {
    [`${componentCls}`]: {
      [`&`]: genSizeStyle(spinDotSize, token),
      [`&-sm`]: genSizeStyle(spinDotSizeSM, token),
      [`&-lg`]: genSizeStyle(spinDotSizeLG, token)
    },
    [`${componentCls}-nested-loading`]: {
      [`> div > ${componentCls}`]: {
        [`&`]: genNestedSizeStyle(spinDotSize, token),
        [`&-sm`]: genNestedSizeStyle(spinDotSizeSM, token),
        [`&-lg`]: genNestedSizeStyle(spinDotSizeLG, token)
      }
    }
  };
};
var style_default = (prefixCls) => {
  const useStyle = (0, import_genComponentStyleHook.genComponentStyleHook)("Spin", (token) => {
    return [
      genSpinStyle({
        ...token,
        // https://github.com/ant-design/ant-design/blob/master/components/spin/style/index.tsx#L238
        // spinDotSize: (token.controlHeightLG / 2) * ratio,
        // spinDotSizeSM: token.controlHeightLG * 0.35 * ratio,
        // spinDotSizeLG: token.controlHeight * ratio,
        spinDotSize: token.controlHeight * 1.75,
        // 56,
        spinDotSizeSM: token.controlHeight * 1.125,
        // 36
        spinDotSizeLG: token.controlHeight * 2.25
        // 72
      })
    ];
  });
  return useStyle(prefixCls);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  genSpinStyle
});
