var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/table/index.tsx
var table_exports = {};
__export(table_exports, {
  default: () => table_default
});
module.exports = __toCommonJS(table_exports);
var import_antd = require("antd");
var import_classnames = __toESM(require("classnames"));
var import_lodash = require("lodash");
var import_react = __toESM(require("react"));
var import_config_provider = __toESM(require("../config-provider"));
var import_typography = __toESM(require("../typography"));
var import_empty = __toESM(require("../empty"));
var import_style = __toESM(require("./style"));
var import_useDefaultPagination = __toESM(require("./hooks/useDefaultPagination"));
var import_useMergedState = __toESM(require("rc-util/lib/hooks/useMergedState"));
var import_en_US = __toESM(require("../locale/en-US"));
__reExport(table_exports, require("antd/es/table"), module.exports);
function Table(props, ref) {
  var _a, _b;
  const {
    locale: customLocale,
    size,
    bordered,
    innerBordered,
    columns,
    footer,
    pagination: customPagination,
    rowSelection,
    rowClassName,
    toolAlertRender,
    toolOptionsRender,
    toolSelectedContent,
    cancelText,
    collapseText,
    openText,
    expandable,
    hiddenCancelBtn = false,
    prefixCls: customizePrefixCls,
    className
  } = props;
  const extendedContext = (0, import_react.useContext)(import_config_provider.default.ExtendedConfigContext);
  const pagination = (0, import_useDefaultPagination.default)(customPagination);
  const { getPrefixCls, locale, table } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
  const {
    batchOperationBar,
    emptyText = /* @__PURE__ */ import_react.default.createElement(import_empty.default, { image: import_empty.default.PRESENTED_IMAGE_SIMPLE }),
    ...restLocale
  } = {
    ...customLocale,
    batchOperationBar: {
      ...(_a = import_en_US.default.Table) == null ? void 0 : _a.batchOperationBar,
      ...(_b = locale == null ? void 0 : locale.Table) == null ? void 0 : _b.batchOperationBar,
      ...customLocale == null ? void 0 : customLocale.batchOperationBar
    }
  };
  const prefixCls = getPrefixCls("table", customizePrefixCls);
  const { wrapSSR } = (0, import_style.default)(prefixCls);
  const tableCls = (0, import_classnames.default)(
    {
      [`${prefixCls}-expandable`]: !(0, import_lodash.isEmpty)(expandable),
      [`${prefixCls}-selectable`]: !!rowSelection,
      [`${prefixCls}-has-footer`]: !!footer,
      [`${prefixCls}-inner-bordered`]: innerBordered
    },
    className
  );
  const [openPopover, setOpenPopover] = (0, import_react.useState)(false);
  const [currentSelectedRowKeys, setCurrentSelectedRowKeys] = (0, import_useMergedState.default)([], {
    value: rowSelection == null ? void 0 : rowSelection.selectedRowKeys,
    defaultValue: rowSelection == null ? void 0 : rowSelection.defaultSelectedRowKeys
  });
  const [currentSelectedRows, setCurrentSelectedRows] = (0, import_react.useState)([]);
  const [currentSelectedInfo, setCurrentSelectedInfo] = (0, import_react.useState)({});
  const newColumns = columns == null ? void 0 : columns.map((item) => {
    if (item.ellipsis) {
      return {
        ...item,
        ellipsis: item.ellipsis === true ? item.ellipsis : {
          showTitle: false,
          ...item.ellipsis
        },
        render: (text, record, index) => {
          const element = item.render ? item.render(text, record, index) : record[item.dataIndex];
          const elementType = element == null ? void 0 : element.type;
          return (elementType == null ? void 0 : elementType.__ANT_TOOLTIP) === true ? element : /* @__PURE__ */ import_react.default.createElement(
            import_typography.default.Text,
            {
              ellipsis: {
                tooltip: {
                  placement: "topLeft",
                  title: element
                }
              }
            },
            /* @__PURE__ */ import_react.default.createElement("span", null, element)
          );
        }
      };
    }
    return item;
  });
  const handleSelectedData = (selectedRowKeys, selectedRows, info) => {
    setCurrentSelectedRowKeys(selectedRowKeys);
    setCurrentSelectedRows(selectedRows);
    setCurrentSelectedInfo(info);
  };
  const handleOptionsCancel = () => {
    var _a2;
    (_a2 = rowSelection == null ? void 0 : rowSelection.onChange) == null ? void 0 : _a2.call(rowSelection, [], [], currentSelectedInfo);
    handleSelectedData([], [], currentSelectedInfo);
  };
  (0, import_react.useEffect)(() => {
    if ((0, import_lodash.isEmpty)(currentSelectedRows) && toolSelectedContent) {
      setOpenPopover(false);
    }
  }, [currentSelectedRows]);
  const renderOptionsBar = (total, range) => {
    if ((0, import_lodash.isEmpty)(rowSelection) || (0, import_lodash.isEmpty)(currentSelectedRowKeys)) {
      return (
        // @ts-ignore
        /* @__PURE__ */ import_react.default.createElement("span", null, pagination && (pagination == null ? void 0 : pagination.showTotal) && (pagination == null ? void 0 : pagination.showTotal(total, range)))
      );
    }
    return /* @__PURE__ */ import_react.default.createElement("div", null, /* @__PURE__ */ import_react.default.createElement("div", { className: `${prefixCls}-batch-operation-bar` }, /* @__PURE__ */ import_react.default.createElement(
      import_antd.Space,
      {
        size: 8,
        style: {
          marginRight: 24
        }
      },
      toolAlertRender && toolAlertRender(currentSelectedRowKeys, currentSelectedRows),
      !toolAlertRender && toolAlertRender !== false && /* @__PURE__ */ import_react.default.createElement("span", { className: `${prefixCls}-batch-operation-selection` }, /* @__PURE__ */ import_react.default.createElement("span", null, batchOperationBar == null ? void 0 : batchOperationBar.selected), /* @__PURE__ */ import_react.default.createElement("span", { className: `${prefixCls}-batch-operation-selection-count` }, (currentSelectedRowKeys == null ? void 0 : currentSelectedRowKeys.length) || 0), /* @__PURE__ */ import_react.default.createElement("span", null, batchOperationBar == null ? void 0 : batchOperationBar.object)),
      !hiddenCancelBtn && /* @__PURE__ */ import_react.default.createElement("a", { onClick: handleOptionsCancel }, cancelText ?? (batchOperationBar == null ? void 0 : batchOperationBar.cancel)),
      toolSelectedContent && /* @__PURE__ */ import_react.default.createElement(
        import_antd.Popover,
        {
          placement: "top",
          overlayClassName: `${prefixCls}-batch-operation-selection-popover`,
          content: toolSelectedContent == null ? void 0 : toolSelectedContent(currentSelectedRowKeys, currentSelectedRows),
          trigger: "click",
          open: openPopover
        },
        /* @__PURE__ */ import_react.default.createElement("a", { onClick: () => setOpenPopover(!openPopover) }, openPopover ? collapseText ?? (batchOperationBar == null ? void 0 : batchOperationBar.collapse) : openText ?? (batchOperationBar == null ? void 0 : batchOperationBar.open))
      )
    ), toolOptionsRender && /* @__PURE__ */ import_react.default.createElement(import_antd.Space, { size: 8 }, toolOptionsRender == null ? void 0 : toolOptionsRender(currentSelectedRowKeys, currentSelectedRows))), /* @__PURE__ */ import_react.default.createElement("span", null, pagination && (pagination == null ? void 0 : pagination.showTotal) && (pagination == null ? void 0 : pagination.showTotal(total, range))));
  };
  return wrapSSR(
    /* @__PURE__ */ import_react.default.createElement(
      import_antd.Table,
      {
        ...props,
        ref,
        prefixCls: customizePrefixCls,
        className: tableCls,
        locale: {
          ...restLocale,
          emptyText: /* @__PURE__ */ import_react.default.createElement("div", { className: `${prefixCls}-empty-wrapper` }, typeof emptyText === "function" ? emptyText() : emptyText)
        },
        size,
        bordered: bordered || innerBordered,
        columns: newColumns,
        rowClassName: (...args) => {
          return (0, import_classnames.default)(
            typeof rowClassName === "function" ? rowClassName(...args) : rowClassName,
            {
              [`${prefixCls}-expand-row-by-click`]: expandable == null ? void 0 : expandable.expandRowByClick
            }
          );
        },
        expandable: expandable ? {
          columnWidth: !size || size === "large" ? 40 : 32,
          ...expandable
        } : void 0,
        rowSelection: rowSelection ? {
          columnWidth: table == null ? void 0 : table.selectionColumnWidth,
          ...rowSelection,
          onChange: (selectedRowKeys, selectedRows, info) => {
            var _a2;
            handleSelectedData(selectedRowKeys, selectedRows, info);
            (_a2 = rowSelection == null ? void 0 : rowSelection.onChange) == null ? void 0 : _a2.call(rowSelection, selectedRowKeys, selectedRows, info);
          }
        } : void 0,
        footer,
        pagination: pagination === false ? false : {
          ...pagination,
          hideOnSinglePage: toolAlertRender || toolOptionsRender || toolSelectedContent || (pagination == null ? void 0 : pagination.showSizeChanger) ? false : (pagination == null ? void 0 : pagination.hideOnSinglePage) !== void 0 ? pagination == null ? void 0 : pagination.hideOnSinglePage : extendedContext.hideOnSinglePage,
          showTotal: renderOptionsBar
        }
      }
    )
  );
}
var ForwardTable = import_react.default.forwardRef(Table);
var table_default = Object.assign(ForwardTable, {
  SELECTION_COLUMN: import_antd.Table.SELECTION_COLUMN,
  EXPAND_COLUMN: import_antd.Table.EXPAND_COLUMN,
  SELECTION_ALL: import_antd.Table.SELECTION_ALL,
  SELECTION_INVERT: import_antd.Table.SELECTION_INVERT,
  SELECTION_NONE: import_antd.Table.SELECTION_NONE,
  Column: import_antd.Table.Column,
  ColumnGroup: import_antd.Table.ColumnGroup,
  Summary: import_antd.Table.Summary,
  useStyle: import_style.default,
  useDefaultPagination: import_useDefaultPagination.default
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/table")
});
