var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tabs/index.tsx
var tabs_exports = {};
__export(tabs_exports, {
  default: () => tabs_default
});
module.exports = __toCommonJS(tabs_exports);
var import_util = require("@oceanbase/util");
var import_antd = require("antd");
var import_react = __toESM(require("react"));
var import_classnames = __toESM(require("classnames"));
var import_config_provider = __toESM(require("../config-provider"));
var import_useLegacyItems = __toESM(require("./hooks/useLegacyItems"));
var import_style = __toESM(require("./style"));
var import_TabPane = __toESM(require("./TabPane"));
__reExport(tabs_exports, require("antd/es/tabs"), module.exports);
var Tabs = ({
  children,
  items,
  type,
  tabPosition,
  prefixCls: customizePrefixCls,
  className,
  ...restProps
}) => {
  const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
  const prefixCls = getPrefixCls("tabs", customizePrefixCls);
  const { wrapSSR } = (0, import_style.default)(prefixCls);
  const tabsCls = (0, import_classnames.default)(className);
  const isHorizontal = !tabPosition || tabPosition === "top" || tabPosition === "bottom";
  const dividerList = (items == null ? void 0 : items.filter((item) => item.divider)) || [];
  let newItems = (0, import_useLegacyItems.default)(items, children);
  newItems = newItems == null ? void 0 : newItems.map((item) => {
    if (!(0, import_util.isNullValue)(item.divider)) {
      return {
        ...item,
        key: `divider-${dividerList == null ? void 0 : dividerList.indexOf(item)}`,
        label: /* @__PURE__ */ import_react.default.createElement(
          import_antd.Divider,
          {
            type: isHorizontal ? "vertical" : "horizontal",
            className: `${prefixCls}-divider`
          }
        ),
        disabled: true
      };
    } else if (!(0, import_util.isNullValue)(item.tag)) {
      return {
        ...item,
        label: /* @__PURE__ */ import_react.default.createElement(import_antd.Space, { size: 4 }, item.label, /* @__PURE__ */ import_react.default.createElement(import_antd.Tag, { bordered: false, className: `${prefixCls}-tab-tag` }, item.tag))
      };
    }
    return item;
  });
  return wrapSSR(
    /* @__PURE__ */ import_react.default.createElement(
      import_antd.Tabs,
      {
        items: newItems,
        type,
        tabPosition,
        prefixCls: customizePrefixCls,
        className: tabsCls,
        ...restProps
      }
    )
  );
};
Tabs.TabPane = import_TabPane.default;
Tabs.genTabsStyle = import_style.genTabsStyle;
if (process.env.NODE_ENV !== "production") {
  Tabs.displayName = import_antd.Tabs.displayName;
}
var tabs_default = Tabs;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/tabs")
});
