var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tabs/style/index.ts
var style_exports = {};
__export(style_exports, {
  default: () => style_default,
  genTabsStyle: () => genTabsStyle
});
module.exports = __toCommonJS(style_exports);
var import_genComponentStyleHook = require("../../_util/genComponentStyleHook");
var genTabsStyle = (token) => {
  const { antCls, componentCls, colorInfo, colorInfoBg, colorTextSecondary } = token;
  return {
    [componentCls]: {
      [`&${componentCls}-top, &${componentCls}-bottom`]: {
        [`${componentCls}-nav::before`]: {
          // 页签位置为 top 和 bottom 时，去掉分割线
          border: "none"
        }
      },
      [`${componentCls}-tab`]: {
        [`${componentCls}-tab-tag`]: {
          color: colorTextSecondary,
          fontFamily: "PingFangSC",
          fontSize: 12,
          borderRadius: 12,
          marginInlineEnd: 0,
          height: 20
        }
      },
      [`${componentCls}-tab-active`]: {
        [`${componentCls}-tab-tag`]: {
          color: colorInfo,
          backgroundColor: colorInfoBg
        }
      },
      [`${componentCls}-tab[data-node-key^=divider-]`]: {
        cursor: "default",
        [`${componentCls}-tab-btn`]: {
          // make horizontal divider width 100% work
          width: "100%",
          [`${componentCls}-divider`]: {
            margin: 0,
            [`&${antCls}-divider-vertical`]: {
              height: token.sizeMD
            },
            [`&${antCls}-divider-horizontal`]: {
              width: "100%"
            }
          }
        }
      },
      [`${componentCls}-ink-bar`]: {
        // inkbar 带圆角
        borderRadius: "1px"
      }
    }
  };
};
var style_default = (prefixCls) => {
  const useStyle = (0, import_genComponentStyleHook.genComponentStyleHook)("Tabs", (token) => {
    return [genTabsStyle(token)];
  });
  return useStyle(prefixCls);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  genTabsStyle
});
