var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tag/index.tsx
var tag_exports = {};
__export(tag_exports, {
  default: () => tag_default
});
module.exports = __toCommonJS(tag_exports);
var import_react = __toESM(require("react"));
var import_antd = require("antd");
var import_classnames = __toESM(require("classnames"));
var import_config_provider = __toESM(require("../config-provider"));
var import_typography = __toESM(require("../typography"));
var import_style = __toESM(require("./style"));
var import_getEllipsisConfig = require("../_util/getEllipsisConfig");
__reExport(tag_exports, require("antd/es/tag"), module.exports);
var Tag = import_react.default.forwardRef(
  ({
    children,
    prefixCls: customizePrefixCls,
    icon,
    className,
    ellipsis = {
      tooltip: {
        title: children
      }
    },
    ...restProps
  }, ref) => {
    const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
    const prefixCls = getPrefixCls("tag", customizePrefixCls);
    const { wrapSSR } = (0, import_style.default)(prefixCls);
    const ellipsisConfig = (0, import_getEllipsisConfig.getEllipsisConfig)(ellipsis, children);
    const tagCls = (0, import_classnames.default)(
      {
        [`${prefixCls}-ellipsis`]: !!ellipsisConfig
      },
      className
    );
    const realIcon = icon ? /* @__PURE__ */ import_react.default.createElement("span", { className: `${prefixCls}-icon` }, icon) : null;
    return wrapSSR(
      /* @__PURE__ */ import_react.default.createElement(
        import_antd.Tag,
        {
          ref,
          prefixCls: customizePrefixCls,
          className: tagCls,
          icon: ellipsisConfig ? null : icon,
          ...restProps
        },
        ellipsisConfig ? /* @__PURE__ */ import_react.default.createElement(import_typography.default.Text, { ellipsis: ellipsisConfig }, realIcon, children) : children
      )
    );
  }
);
if (process.env.NODE_ENV !== "production") {
  Tag.displayName = import_antd.Tag.displayName;
}
var tag_default = Object.assign(Tag, {
  CheckableTag: import_antd.Tag.CheckableTag
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/tag")
});
