var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tag/style/index.ts
var style_exports = {};
__export(style_exports, {
  default: () => style_default,
  genTagStyle: () => genTagStyle
});
module.exports = __toCommonJS(style_exports);
var import_internal = require("antd/es/theme/internal");
var import_genComponentStyleHook = require("../../_util/genComponentStyleHook");
var import_internal2 = require("antd/lib/theme/internal");
var import_getWeakenBorderColor = require("../../_util/getWeakenBorderColor");
var getTagBorderColor = (color) => {
  return (0, import_getWeakenBorderColor.getWeakenBorderColor)(color);
};
var genTagPresetStatusStyle = (token, status) => {
  const borderColorMap = {
    success: token.colorSuccessBorder,
    processing: token.colorInfoBorder,
    error: token.colorErrorBorder,
    warning: token.colorWarningBorder
  };
  return {
    [`${token.componentCls}${token.componentCls}-${status}`]: {
      borderColor: getTagBorderColor(borderColorMap[status])
    }
  };
};
var genPresetStyle = (token) => (0, import_internal2.genPresetColor)(token, (colorKey, { lightBorderColor }) => {
  return {
    [`${token.componentCls}${token.componentCls}-${colorKey}`]: {
      borderColor: getTagBorderColor(lightBorderColor)
    }
  };
});
var genTagStyle = (token) => {
  const { antCls, componentCls, tagPaddingHorizontal, lineWidth, calc } = token;
  const paddingInline = calc(tagPaddingHorizontal).sub(lineWidth).equal();
  return {
    [`${componentCls}`]: {
      paddingInline: token.paddingXS,
      borderColor: getTagBorderColor(token.colorBorder),
      fontSize: token.fontSizeSM,
      [`${antCls}-typography`]: {
        fontSize: token.fontSizeSM,
        [`${componentCls}-icon`]: {
          marginInlineEnd: paddingInline
        }
      },
      ["&-ellipsis"]: {
        maxWidth: "100%",
        textOverflow: "ellipsis",
        overflow: "hidden",
        verticalAlign: "bottom"
      },
      ["&-checkable"]: {
        borderColor: "transparent"
      },
      ["&-hidden"]: {
        display: "none"
      },
      ["&-borderless"]: {
        borderColor: "transparent"
      }
    }
  };
};
var style_default = (prefixCls) => {
  const useStyle = (0, import_genComponentStyleHook.genComponentStyleHook)("Tag", (token) => {
    const tagToken = (0, import_internal.mergeToken)(token, {
      tagPaddingHorizontal: 8
      // Fixed padding.
    });
    return [
      genTagStyle(tagToken),
      genPresetStyle(tagToken),
      genTagPresetStatusStyle(tagToken, "success"),
      genTagPresetStatusStyle(tagToken, "error"),
      genTagPresetStatusStyle(tagToken, "processing"),
      genTagPresetStatusStyle(tagToken, "warning")
    ];
  });
  return useStyle(prefixCls);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  genTagStyle
});
