var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tooltip/ReactStickyMouseTooltip.tsx
var ReactStickyMouseTooltip_exports = {};
__export(ReactStickyMouseTooltip_exports, {
  default: () => ReactStickyMouseTooltip_default
});
module.exports = __toCommonJS(ReactStickyMouseTooltip_exports);
var import_react = __toESM(require("react"));
var ReactStickyMouseTooltip = class extends import_react.default.PureComponent {
  constructor() {
    super(...arguments);
    this.state = {
      xPosition: 0,
      yPosition: 0,
      mouseMoved: false,
      listenerActive: false
    };
    this.getTooltipPosition = ({ clientX: xPosition, clientY: yPosition }) => {
      this.setState({
        xPosition,
        yPosition,
        mouseMoved: true
      });
    };
    this.addListener = () => {
      window.addEventListener("mousemove", this.getTooltipPosition);
      this.setState({ listenerActive: true });
    };
    this.removeListener = () => {
      window.removeEventListener("mousemove", this.getTooltipPosition);
      this.setState({ listenerActive: false });
    };
    this.updateListener = () => {
      if (!this.state.listenerActive && this.props.visible) {
        this.addListener();
      }
      if (this.state.listenerActive && !this.props.visible) {
        this.removeListener();
      }
    };
  }
  componentDidMount() {
    this.addListener();
  }
  componentDidUpdate() {
    this.updateListener();
  }
  componentWillUnmount() {
    this.removeListener();
  }
  render() {
    return /* @__PURE__ */ import_react.default.createElement(
      "div",
      {
        className: this.props.className,
        style: {
          display: this.props.visible && this.state.mouseMoved ? "block" : "none",
          position: "fixed",
          top: this.state.yPosition + this.props.offsetY,
          left: this.state.xPosition + this.props.offsetX,
          ...this.props.style
        }
      },
      this.props.children
    );
  }
};
ReactStickyMouseTooltip.defaultProps = {
  visible: true,
  offsetX: 0,
  offsetY: 0
};
var ReactStickyMouseTooltip_default = ReactStickyMouseTooltip;
