var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/tooltip/index.tsx
var tooltip_exports = {};
__export(tooltip_exports, {
  default: () => tooltip_default
});
module.exports = __toCommonJS(tooltip_exports);
var import_antd = require("antd");
var import_react = __toESM(require("react"));
var import_icons = require("@oceanbase/icons");
var import_classnames = __toESM(require("classnames"));
var import_MouseTooltip = __toESM(require("./MouseTooltip"));
var import_config_provider = __toESM(require("../config-provider"));
var import_style = __toESM(require("./style"));
var import_useTooltipTypeList = require("./hooks/useTooltipTypeList");
__reExport(tooltip_exports, require("antd/es/tooltip"), module.exports);
var Tooltip = import_react.default.forwardRef(
  ({
    children,
    title,
    type = "default",
    color,
    mouseFollow,
    closeIcon = false,
    onClose,
    open,
    defaultOpen,
    onOpenChange,
    visible,
    defaultVisible,
    onVisibleChange,
    overlayInnerStyle,
    className,
    overlay,
    ...restProps
  }, ref) => {
    const { getPrefixCls } = (0, import_react.useContext)(import_config_provider.default.ConfigContext);
    const { prefixCls: customizePrefixCls } = restProps;
    const prefixCls = getPrefixCls("tooltip", customizePrefixCls);
    const { wrapSSR, hashId } = (0, import_style.default)(prefixCls);
    const tooltipCls = (0, import_classnames.default)(className);
    const mouseTooltipCls = (0, import_classnames.default)(prefixCls, className, hashId);
    const [innerOpen, setInnerOpen] = (0, import_react.useState)(open ?? visible ?? defaultOpen ?? defaultVisible);
    const noTitle = !title && !overlay && title !== 0;
    const newOpen = open ?? visible ?? (noTitle ? false : innerOpen);
    const handleCloseClick = (e) => {
      e.stopPropagation();
      onClose == null ? void 0 : onClose(e);
      if (e.defaultPrevented) {
        return;
      }
      setInnerOpen(false);
    };
    const closeIconNode = closeIcon ? closeIcon === true ? /* @__PURE__ */ import_react.default.createElement(import_icons.CloseOutlined, { className: `${prefixCls}-close-icon`, onClick: handleCloseClick }) : /* @__PURE__ */ import_react.default.createElement("span", { className: `${prefixCls}-close-icon`, onClick: handleCloseClick }, closeIcon) : null;
    const titleNode = typeof title === "function" ? title() : title;
    const newTitle = closeIcon ? /* @__PURE__ */ import_react.default.createElement(import_antd.Space, { className: `${prefixCls}-close-icon-wrap` }, titleNode, closeIconNode) : titleNode;
    const typeList = (0, import_useTooltipTypeList.useTooltipTypeList)();
    const typeItem = typeList.find((item) => item.type === type);
    return wrapSSR(
      mouseFollow ? /* @__PURE__ */ import_react.default.createElement(
        import_MouseTooltip.default,
        {
          title,
          color: color || (typeItem == null ? void 0 : typeItem.backgroundColor),
          overlayInnerStyle: {
            color: typeItem == null ? void 0 : typeItem.color,
            ...overlayInnerStyle
          },
          className: mouseTooltipCls,
          overlay,
          ...restProps
        },
        children
      ) : /* @__PURE__ */ import_react.default.createElement(
        import_antd.Tooltip,
        {
          ref,
          title: newTitle,
          color: color || (typeItem == null ? void 0 : typeItem.backgroundColor),
          open: newOpen,
          defaultOpen,
          onOpenChange: (value) => {
            setInnerOpen(value);
            onVisibleChange == null ? void 0 : onVisibleChange(value);
            onOpenChange == null ? void 0 : onOpenChange(value);
          },
          overlayInnerStyle: {
            color: typeItem == null ? void 0 : typeItem.color,
            ...overlayInnerStyle
          },
          className: tooltipCls,
          overlay,
          ...restProps
        },
        children
      )
    );
  }
);
if (process.env.NODE_ENV !== "production") {
  Tooltip.displayName = import_antd.Tooltip.displayName;
}
Tooltip.__ANT_TOOLTIP = true;
Tooltip._InternalPanelDoNotUseOrYouWillBeFired = import_antd.Tooltip._InternalPanelDoNotUseOrYouWillBeFired;
var tooltip_default = Tooltip;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ...require("antd/es/tooltip")
});
