var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/typography/style/index.ts
var style_exports = {};
__export(style_exports, {
  default: () => style_default,
  genTypographyStyle: () => genTypographyStyle
});
module.exports = __toCommonJS(style_exports);
var import_genComponentStyleHook = require("../../_util/genComponentStyleHook");
var genTypographyStyle = (token) => {
  const { componentCls, controlHeight, fontSize, lineHeight } = token;
  const marginOffset = (controlHeight - fontSize * lineHeight) / 2;
  return {
    // inherit color and lineHeight from parent instead of fixed colorText
    [`span${componentCls}`]: {
      lineHeight: "inherit",
      color: "inherit",
      fontSize: "inherit"
    },
    [`div${componentCls}`]: {
      lineHeight: "inherit",
      color: "inherit",
      fontSize: "inherit"
    },
    [`${componentCls}`]: {
      [`${componentCls}-edit`]: {
        fontSize: token.fontSize
      }
    },
    [`${componentCls}${componentCls}-editable-text:not(${componentCls}-edit-content)`]: {
      "&:hover": {
        background: token.colorBgContainer,
        border: `${token.lineWidth}px ${token.lineType} ${token.colorBorder}`,
        borderRadius: token.borderRadius,
        position: "relative",
        insetInlineStart: -token.paddingSM,
        padding: `${marginOffset - token.lineWidth}px ${token.paddingSM - token.lineWidth}px`
      },
      "div&:hover": {
        height: token.controlHeight,
        marginTop: -marginOffset,
        marginBottom: `calc(1em - ${marginOffset}px)`
      },
      "span&:hover": {
        display: "inline-block",
        height: token.controlHeight,
        marginTop: -marginOffset,
        marginBottom: -marginOffset
      },
      "h1&:hover, h2&:hover, h3&:hover, h4&:hover, h5&:hover": {
        marginTop: `${-marginOffset}px !important`,
        marginBottom: `${-marginOffset}px !important`
      }
    },
    [`${componentCls}${componentCls}-edit-content`]: {
      [`${componentCls}-div&`]: {
        insetInlineStart: -token.paddingSM,
        marginTop: -marginOffset,
        marginBottom: `calc(1em - ${marginOffset}px)`
      },
      [`${componentCls}-span&`]: {
        insetInlineStart: -token.paddingSM,
        marginTop: -marginOffset,
        marginBottom: -marginOffset
      },
      [`${componentCls}-h1&, ${componentCls}-h2&, ${componentCls}-h3&, ${componentCls}-h4&, ${componentCls}-h5&`]: {
        insetInlineStart: -token.paddingSM,
        marginTop: `${-marginOffset}px !important`,
        marginBottom: `${-marginOffset}px !important`
      }
    }
  };
};
var style_default = (prefixCls) => {
  const useStyle = (0, import_genComponentStyleHook.genComponentStyleHook)("Typography", (token) => {
    return [genTypographyStyle(token)];
  });
  return useStyle(prefixCls);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  genTypographyStyle
});
